package ir.apdroid.multimedia;

import android.media.MediaPlayer;
import android.net.Uri;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;
import android.widget.VideoView;

public class MainActivity extends AppCompatActivity {
    MediaPlayer cat_mp,rooster_mp;
    VideoView mVideoView;
    String uriPath;
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        init();
    }

    public void  init(){
        mVideoView = (VideoView)findViewById(R.id.videoView);
        uriPath = "android.resource://"+getPackageName()+"/"+R.raw.planets;
        cat_mp = MediaPlayer.create(this, R.raw.cat_snd);
        rooster_mp = MediaPlayer.create(this, R.raw.rooster_snd);
    }

    public void play_button(View v){
        Toast.makeText(this,"Play",Toast.LENGTH_SHORT).show();
        Uri uri = Uri.parse(uriPath);
        mVideoView.setVideoURI(uri);
        mVideoView.requestFocus();
        mVideoView.start();
    }

    public void cat_button(View v){
        try {
            if (cat_mp.isPlaying()) {
                cat_mp.stop();
                cat_mp.release();
                cat_mp = MediaPlayer.create(this, R.raw.cat_snd);
            } cat_mp.start();
        } catch(Exception e) { e.printStackTrace(); }
    }

    public void rooster_button(View v){
        try {
            if (rooster_mp.isPlaying()) {
                rooster_mp.stop();
                rooster_mp.release();
                rooster_mp = MediaPlayer.create(this, R.raw.rooster_snd);
            } rooster_mp.start();
        } catch(Exception e) { e.printStackTrace(); }
    }

}
